#include "AlphaBot.h"

AlphaBot Car1 = AlphaBot();

#define encL 2 // Sensor Ports
#define encR 3
#define DRIVE_TIME_ms 500 // in ms
#define MOTOR_POWER 80

// Counter 
byte valEncL =0;
byte valEncR =0;

long int giriL =0;
long int giriR =0;

void setup()
{
  Serial.begin(9600);
  pinMode(encL,INPUT);
  pinMode(encR,INPUT);
  attachInterrupt(0, updateEncoderL, CHANGE);
  attachInterrupt(1, updateEncoderR, CHANGE);
  //Car1.SetSpeed(10);       //Speed:0 - 255
}
void loop()
{// debug output
 Serial.print(valEncL);
 Serial.print(" :-: ");
 Serial.print(valEncR);
 Serial.print(" :-: ");
 Serial.print(giriL);
 Serial.print(" :-: ");
 Serial.print(giriR);
 Serial.print("\n");
   delay(1000);
  Car1.MotorRun(MOTOR_POWER,MOTOR_POWER);
  delay(DRIVE_TIME_ms);
  Car1.Brake();
}

void updateEncoderL(){
  valEncL++;
  if (valEncL > 40) { // 20 slots : 40= 1 full turn
    valEncL = 0;
    giriL++;
  } 
}

void updateEncoderR(){
  valEncR++;
  if (valEncR > 40) {
    valEncR = 0;
    giriR++;
  } 
}
