/*********************************************************************************************************
*
* File                : adxl345
* Hardware Environment: UNO PLUS + Accessory Shield
* Build Environment   : Arduino
* Version             : V1.0.6
* By                  : WaveShare
*
*                                  (c) Copyright 2005-2014, WaveShare
*                                       http://www.waveshare.com
*                                       http://www.waveshare.net   
*                                          All Rights Reserved
*
*********************************************************************************************************/
/* Preconditions: Remove Jumper E1 (A4->AL)                                                             */
/********************************************************************************************************/

#include <Wire.h>
#include <ADXL345.h>

ADXL345 accelerometer;

void setup(void) 
{
  Serial.begin(9600);
    Serial.println("test1");
  if (!accelerometer.begin())
  {
    Serial.println("Could not find a valid ADXL345 sensor, check wiring!");
    delay(500);
  }
}

void loop(void) 
{
  // Read values for activities
  delay(1000);
  Vector norm = accelerometer.readNormalize();
  
  
  Serial.print("X = ");
  Serial.print(norm.XAxis);
  
  Serial.print("  Y= ");
  Serial.print(norm.YAxis);
  
  Serial.print("  Z= ");
  Serial.println(norm.ZAxis);
}
