/*********************************************************************************************************
*
* File                : lm75.ino
* Hardware Environment: UNO PLUS + Accessory Shiled
* Build Environment   : Arduino
* Version             : V1.0.6
* By                  : WaveShare
*
*                                  (c) Copyright 2005-2014, WaveShare
*                                       http://www.waveshare.com
*                                       http://www.waveshare.net   
*                                          All Rights Reserved
*
*********************************************************************************************************/
/* Preconditions: Remove Jumper E1 (A4->AL)                                                             */
/********************************************************************************************************/

#include <inttypes.h>
#include <Wire.h>
#include <lm75.h>


TempI2C_LM75 termo = TempI2C_LM75(0x48,TempI2C_LM75::nine_bits);

void setup()
{
    Serial.begin(9600);
}

void loop()
{
    Serial.print("The current temperature is: ");
    Serial.println(termo.getTemp());
    delay(1000);
}
